#include <bits/stdc++.h>
using namespace std;
vector<pair<long,long> > v;
int main(){
ios_base::sync_with_stdio(0);
cin.tie(NULL);
cout.tie(NULL);
long n; cin>>n;
long d=0;
for(long i=0;i<n;i++){
    long x,y; cin>>x>>y;
    for(long j=0;j<i;j++){
        long x1,y1; tie(x1,y1)=v[j]; x1-=x; y1-=y;
        d+=((x1*x1)+(y1*y1));
    }
    v.push_back({x,y});
}
cout<<d<<'\n';
return 0;
}
